Skip to main content
GET
/
models
/
{author}
/
{slug}
/
endpoints
List all endpoints for a model
curl --request GET \
  --url https://openrouter.ai/api/v1/models/{author}/{slug}/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "architecture": {
      "input_modalities": [
        "text"
      ],
      "instruct_type": "chatml",
      "modality": "text->text",
      "output_modalities": [
        "text"
      ],
      "tokenizer": "GPT"
    },
    "created": 1692901234,
    "description": "GPT-4 is a large multimodal model.",
    "endpoints": [],
    "id": "openai/gpt-4",
    "name": "GPT-4"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

author
string
required

The author/organization of the model

Example:

"openai"

slug
string
required

The model slug

Example:

"gpt-4"

Response

Returns a list of endpoints

data
object
required

List of available endpoints for a model

Example:
{
"architecture": {
"input_modalities": ["text"],
"instruct_type": "chatml",
"modality": "text->text",
"output_modalities": ["text"],
"tokenizer": "GPT"
},
"created": 1692901234,
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
"endpoints": [
{
"context_length": 8192,
"latency_last_30m": {
"p50": 0.25,
"p75": 0.35,
"p90": 0.48,
"p99": 0.85
},
"max_completion_tokens": 4096,
"max_prompt_tokens": 8192,
"model_name": "GPT-4",
"name": "OpenAI: GPT-4",
"pricing": {
"completion": "0.00006",
"image": "0",
"prompt": "0.00003",
"request": "0"
},
"provider_name": "OpenAI",
"quantization": "fp16",
"status": "default",
"supported_parameters": [
"temperature",
"top_p",
"max_tokens",
"frequency_penalty",
"presence_penalty"
],
"supports_implicit_caching": true,
"tag": "openai",
"throughput_last_30m": {
"p50": 45.2,
"p75": 38.5,
"p90": 28.3,
"p99": 15.1
},
"uptime_last_1d": 99.8,
"uptime_last_30m": 99.5,
"uptime_last_5m": 100
}
],
"id": "openai/gpt-4",
"name": "GPT-4"
}